> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get your Loops user config

> Returns the caller's Loops user config (per-user accelerator priorities). Null fields mean 'inherit the org-level allowlist'.



## OpenAPI

````yaml get /v1/loops/user_config
openapi: 3.1.0
info:
  description: REST API for management of Baseten resources
  title: Baseten management API
  version: 1.0.0
servers:
  - url: https://api.baseten.co
security:
  - BearerAuth: []
paths:
  /v1/loops/user_config:
    get:
      summary: Gets the caller's Loops user config
      description: >-
        Returns the caller's Loops user config (per-user accelerator
        priorities). Null fields mean 'inherit the org-level allowlist'.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLoopsUserConfigResponseV1'
      x-codeSamples:
        - lang: bash
          source: |
            curl --request GET \
            --url https://api.baseten.co/v1/loops/user_config \
            --header "Authorization: Bearer $BASETEN_API_KEY"
        - lang: python
          source: |-
            import requests
            import os
            API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
            url = "https://api.baseten.co/v1/loops/user_config"

            headers = {"Authorization": f"Bearer {API_KEY}"}

            response = requests.request(
                "GET",
                url,
                headers=headers,
                json={}
            )

            print(response.text)
components:
  schemas:
    GetLoopsUserConfigResponseV1:
      description: Response for ``GET /v1/loops/user_config``.
      properties:
        user_config:
          $ref: '#/components/schemas/LoopsUserConfigV1'
          description: The caller's Loops user config.
      required:
        - user_config
      title: GetLoopsUserConfigResponseV1
      type: object
    LoopsUserConfigV1:
      description: The caller's Loops user-level config (accelerator priorities).
      properties:
        trainer_accelerator_priority:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            Ordered allowlist of GPU types for your Loops trainer deployments,
            highest priority first. Intersected with the org-level allowlist
            (org acts as a ceiling). Null means 'inherit the org-level
            allowlist'.
          examples:
            - - H100
              - H200
          title: Trainer Accelerator Priority
        sampler_accelerator_priority:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            Ordered allowlist of GPU types for your Loops sampler deployments,
            highest priority first. Intersected with the org-level allowlist
            (org acts as a ceiling). Null means 'inherit the org-level
            allowlist'.
          examples:
            - - H100
              - H200
          title: Sampler Accelerator Priority
      required:
        - trainer_accelerator_priority
        - sampler_accelerator_priority
      title: LoopsUserConfigV1
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Send `Authorization: Bearer <api_key>`. The legacy `Authorization:
        Api-Key <api_key>` scheme is also accepted.

````